import { ax as e, _ as t, cP as o, v as s, dC as r, f as a, as as i } from "./index-f50c05c4.js";
import "./lodash-f1e42446.js";
import "./ant-design-icons-b1480d8d.js";
import "./loglevel-6fb66d22.js";
import "./axios-84bb1c75.js";
import "./redux-devtools-d38e5b33.js";
import "./alasql-0ff6dabf.js";
import "./react-router-a1807b5b.js";
import "./antd-04a23d13.js";
import "react";
import "react-dom";
import "./dayjs-844325ae.js";
import "./fontawesome-2445f580.js";
import "./dnd-kit-56a2f36f.js";
import "./styled-components-1e696d6b.js";
import "./numbro-c1edb412.js";
import "./papaparse-1bac8e5f.js";
import "./uuid-82f303b2.js";
import "./supabase-c27c62e3.js";
import "./fetch-a3c8ad94.js";
import "./react-draggable-60f59f09.js";
import "./remark-gfm-f2973785.js";
import "./buffer-d3713d77.js";
import "./rehype-raw-41b6145f.js";
import "./parse5-6476676e.js";
import "./rehype-sanitize-deb53e9a.js";
import "./simplebar-react-e1b123a3.js";
import "./react-best-gradient-color-picker-4dd60dac.js";
import "./ua-parser-js-094f59ba.js";
import "./clsx-469c2c43.js";
import "./crypto-js-d5eac8ba.js";
import "./codemirror-73d8c217.js";
import "./really-relaxed-json-49b6a70d.js";
import "./immer-c0428a8d.js";
import "./redux-saga-5514e228.js";
import "./hotkeys-js-0dddb21a.js";
import "./cnchar-5678e6bc.js";
import "./react-documents-eb6de859.js";
import "./sql-formatter-69e8df59.js";
import "./rc-trigger-5125aafe.js";
import "./react-json-view-9403d8a1.js";
import "./qrcode-react-cb73d2b6.js";
import "./katex-a34f0265.js";
import "./ecogis-maps-bb0d63f9.js";
import "./devextreme-2fa5bb9a.js";
const p = { isRemote: true, source: "npm", packageName: "p", packageVersion: "v", compName: "n" }, m = e(p, async () => s(123));
test("remote comp", async () => {
  let e2 = null;
  e2 = new m({ dispatch: (t2) => {
    e2 && (e2 = e2.reduce(t2));
  } }), expect(e2.toJsonValue()).toBe(void 0), await e2.load(), expect(e2.toJsonValue()).toBe(123), e2.dispatchChangeValueAction(345), expect(e2.toJsonValue()).toBe(345);
}), test("remote comp keep values", async () => {
  let e2 = null;
  e2 = new m({ dispatch: (t2) => {
    e2 && (e2 = e2.reduce(t2));
  }, value: 456 }), expect(e2.toJsonValue()).toBe(456), await e2.load(), expect(e2.toJsonValue()).toBe(456);
}), test("remote comp exposing data", async () => {
  const o2 = e(p, async () => r(a({ hello: s(123) }), (e2) => ({ hello: e2.children.hello.getView() })));
  let i2 = null;
  i2 = new o2({ dispatch: (e2) => {
    i2 && (i2 = i2.reduce(e2));
  } }), await i2.load();
  const m2 = t(i2);
  expect(m2.exposingValues.hello).toBe(123);
}), test("remote comp execute method", async () => {
  const t2 = e(p, async () => i(a({ hello: s(123) }), [{ method: { name: "add", params: [{ name: "value", type: "number" }] }, execute: (e2, t3) => {
    const o2 = e2.children.hello;
    o2.dispatchChangeValueAction(o2.getView() + t3[0]);
  } }]));
  let r2 = null;
  r2 = new t2({ dispatch: (e2) => {
    r2 && (r2 = r2.reduce(e2));
  } }), await r2.load(), r2.reduce(o({ type: "execute", methodName: "add", params: [10] }, false)), await new Promise((e2) => setTimeout(e2, 20)), expect(r2.children.hello.getView()).toEqual(133);
});
